Bug 824709 - [kde] Libreoffice Calc locks keyboard when displaying a dialog window
[kde] Libreoffice Calc locks keyboard when displaying a dialog window
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 23:39 EDT by Johannes Goller
Modified: 2015-07-13 13:36 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-27 07:15:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Johannes Goller 2012-05-23 23:39:41 EDT
Description of problem:
When I work in Libreoffice Calc, it frequently happens that I open a dialog window (for example the dialog used to change the width of a column), make some edits, close the dialog, and then Libreoffice locks the keyboard. I am then unable to re-activate the keyboard, but I can use the mouse to shut down Libreoffice and restart.

Notes:
1) I have ibus configured in the im-chooser, with English and Japanese activated as input methods.

2) When the problem occurs, the keyboard is only locked in Libreoffice. I can use the mouse to switch to a non-Libreoffice window (e.g. a Konsole) and there the keyboard continues to work.


Version-Release number of selected component (if applicable):
libreoffice-calc 3.5.2.1-6.fc17.x86_64
ibus 1.4.99.20120428-1.fc17.x86_64
ibus-mozc 1.5.1053.102-1.fc17.x86_64

How reproducible:
It happens about every second time I use a dialog.

Steps to Reproduce:
1. Use the im-chooser to configure ibus. Enable English and the mozc method for Japanese
2. Restart X to ensure the ibus methods are fully loaded (there is  no need to actually type anything in Japanese)
3. Open a spreadsheet in Calc
4. Right-click a column header and select the option to modify the column width
5. Modify the width and click OK
6. If that does not trigger the bug, repeat 4 and 5 a few times
  
Actual results:
The keyboard is locked and only the mouse is left.

Expected results:
No keyboard locking.

Additional info:
Notes: I use the language packs for Japanese, and have the environment set to the Japanese locale. I don't think that is necessary to reproduce the bug, though.
Comment 1 Caolan McNamara 2012-05-24 02:28:35 EDT
kde or gnome ? KDE I'm guessing from the konsole comment ?
Comment 2 Johannes Goller 2012-05-24 02:34:06 EDT
Sorry for omitting this. Yes, KDE 4.8.3.
Comment 3 Caolan McNamara 2012-05-25 15:42:38 EDT
I wonder if this and bug 825067 are related
Comment 4 Johannes Goller 2012-05-26 04:06:28 EDT
They may be related. I have seen the problem described in 825067 on my system, too. I'll try uninstalling libreoffice-kde, as suggested there, on Monday.
Comment 5 Johannes Goller 2012-05-27 23:13:10 EDT
I received an update to libreoffice-kde-3.5.3.2-3.fc17.x86_64 today, but that did not solve the problem.

However, after erasing libreoffice-kde altogether, indeed the keyboard is not locked anymore after using dialog windows, even after switching between input methods a lot. So the bug seems to be related to 825067 at least to the extent that they are both caused by libreoffice-kde, or an interaction of the input method with it.

Note You need to log in before you can comment on or make changes to this bug.